metadata:
  name: apparmor-pulseaudio
  format: "Apertis Test Definition 1.0"
  image-types:
    target:  [ armhf-internal, armhf, amd64 ]
    basesdk: [ amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
    - OSTree
  type: functional
  exec-type: automated
  priority: medium
  maintainer: "Apertis Project"
  description: "Test that AppArmor profiles provided in PulseAudio work without
                apparmor complaining."

  expected:
    - "Both tests should report pass and not fail:"
    - |
        >pulseaudio.normal.expected: pass
        pulseaudio.malicious.expected: pass

  notes:
    - "The results of the tests printed to the standard output are enough to
       determine whether they passed or fail."
    - "If you get a failure and need to report a bug please check journalctl, run
       the test case again, and add the logs you get to the bug report."

install:
  git-repos:
    - url: https://gitlab.apertis.org/tests/apparmor-pulseaudio.git
      branch: 'apertis/v2022dev0'

run:
  steps:
    - "# Enter test directory:"
    - cd apparmor-pulseaudio
    - "# Execute the following command:"
    - common/run-test-in-systemd --name run-test-sh --timeout 90 ./run-test.sh

parse:
  pattern: ^(?P<test_case_id>[\w\-\.]+):\s(?P<result>PASS|pass|FAIL|fail|SKIP|skip|UNKNOWN|unknown)$
